# PVXMLPlayableData Class Reference

`#include <vxml.h>`

Inheritance diagram for PVXMLPlayableData:

List of all members.

## Public Member Functions

virtual PBoolean | Open (PVXMLChannel &chan, const PString &arg, PINDEX delay, PINDEX repeat, PBoolean autoDelete)
void | SetData (const PBYTEArray &data)
virtual bool | OnStart ()
virtual bool | OnRepeat ()

## Protected Attributes

PBYTEArray | m_data

## Member Function Documentation

virtual bool PVXMLPlayableData::OnRepeat | ( |  | ) | `[virtual]`

Reimplemented from PVXMLPlayable.

virtual bool PVXMLPlayableData::OnStart | ( |  | ) | `[virtual]`

Implements PVXMLPlayable.

virtual PBoolean PVXMLPlayableData::Open | ( | PVXMLChannel & | chan,
|  | const PString & | arg,
|  | PINDEX | delay,
|  | PINDEX | repeat,
|  | PBoolean | autoDelete |
| ) |  |  | `[virtual]`

Reimplemented from PVXMLPlayable.

Reimplemented in PVXMLPlayableTone.

void PVXMLPlayableData::SetData | ( | const PBYTEArray & | data | ) |

## Member Data Documentation

PBYTEArray PVXMLPlayableData::m_data `[protected]`

The documentation for this class was generated from the following file:

- vxml.h